#!/bin/sh -e

PKG_PATH=/usr/local/AppCentral/snes9x

if [ ! -e $PKG_PATH/CONTROL/env.sh ]; then
    echo "Can't find $PKG_PATH/CONTROL/env.sh"
    exit 1
fi

source $PKG_PATH/CONTROL/env.sh

export HOME=$PKG_PATH
export SNES9X_HOME=$PKG_PATH/.snes9x
#export LD_PRELOAD=$PKG_PATH/lib/libiconv.so.0
export DATADIR=$HOME/.snes9x
echo $DATADIR
#execute
cd $PKG_PATH/bin && snes9x-gtk&
sleep 2
exec $PKG_PATH/modify.sh
